> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.leftrightalignment.md).

# LeftRightAlignment

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies whether an object or text is aligned to the left or right of a reference point.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum LeftRightAlignment : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum LeftRightAlignment As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name      | Description                                                        |
| --------- | ------------------------------------------------------------------ |
| **Left**  | The object or text is aligned to the left of the reference point.  |
| **Right** | The object or text is aligned to the right of the reference point. |

## Used By

| Name                                                                                                                      | Description                                                                                                                                                                                                    |
| ------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [DesktopTaskBarItem.Position](/api/wisej.web/containers/desktop/wisej.web.desktoptaskbaritem.md#position)                 | Returns or sets the position of this [DesktopTaskBarItem](/api/wisej.web/containers/desktop/wisej.web.desktoptaskbaritem.md) within the taskbar in the parent [Desktop](/api/wisej.web/containers/desktop.md). |
| [DesktopTaskBarItemDateTime.Position](/api/wisej.web/containers/desktop/wisej.web.desktoptaskbaritemdatetime.md#position) | Returns or sets the position of this [DesktopTaskBarItem](/api/wisej.web/containers/desktop/wisej.web.desktoptaskbaritem.md) within the taskbar in the parent [Desktop](/api/wisej.web/containers/desktop.md). |
| [ComponentTool.Position](/api/wisej.web/editors/wisej.web.componenttool.md#position)                                      | Returns or sets the horizontal alignment of this [ComponentTool](/api/wisej.web/editors/wisej.web.componenttool.md) within the parent's container.                                                             |
| [ContextMenu.Show](/api/wisej.web/menus/wisej.web.contextmenu.md#show-component-position-onclose)                         | Displays the context menu at the specified position and with the specified alignment in relation to the specified control.                                                                                     |
| [ContextMenu.ShowAsync](/api/wisej.web/menus/wisej.web.contextmenu.md#showasync-component-position)                       | Asynchronously displays the context menu at the specified position and with the specified alignment in relation to the specified control.                                                                      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.leftrightalignment.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
